package sorter;

/**
 * Represents the abstract lambda expression whose sole purpose in life is to
 * evaluate itself on an input and return the result of the evaluation.
 * @author Dung X. Nguyen
 */
public abstract interface ILambda {
    /**
    * @param arg input object for the lambda expression.
    * @return an output object resulting from evaluating the lambda expression on the input arg.
    */
    public abstract Object apply(Object... arg);
}



